CREATE TABLE site_hits (
    web_site                CHAR(2)                       NOT NULL,
    access_date             DATE                          NOT NULL,
    access_count            SMALLINT UNSIGNED             NOT NULL       DEFAULT 0,
    PRIMARY KEY (web_site, access_date),
    FOREIGN KEY (web_site)
        REFERENCES web_sites (site_id)
        ON DELETE RESTRICT
        ON UPDATE RESTRICT
);
